Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class FixedPointPreCompInfo

    java.lang.Object
      org.bouncycastle.math.ec.FixedPointPreCompInfo

All Implemented Interfaces:
  PreCompInfo

public class FixedPointPreCompInfo
extends java.lang.Object
implements PreCompInfo

Class holding precomputation data for fixed-point multiplications.

Field Summary
`protected ECLookupTable` | `lookupTable` Lookup table for the precomputed `ECPoint`s used for a fixed point multiplication.
`protected ECPoint` | `offset`
`protected int` | `width` The width used for the precomputation.

Constructor Summary
`FixedPointPreCompInfo()`

Method Summary
`ECLookupTable` | `getLookupTable()`
`ECPoint` | `getOffset()`
`int` | `getWidth()`
`void` | `setLookupTable(ECLookupTable lookupTable)`
`void` | `setOffset(ECPoint offset)`
`void` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offset

    protected ECPoint offset

### lookupTable

    protected ECLookupTable lookupTable

  Lookup table for the precomputed `ECPoint`s used for a fixed point multiplication.

### width

    protected int width

  The width used for the precomputation. If a larger width precomputation is already available this may be larger than was requested, so calling code should refer to the actual width.

Constructor Detail

### FixedPointPreCompInfo

    public FixedPointPreCompInfo()

Method Detail

### getLookupTable

    public ECLookupTable getLookupTable()

### setLookupTable

    public void setLookupTable(ECLookupTable lookupTable)

### getOffset

    public ECPoint getOffset()

### setOffset

    public void setOffset(ECPoint offset)

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD